<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$project_id	= session_get_project_id();

$redirect_page		= 'project_manage_page.php';
$proj_properties	= session_get_properties("project_manage");

session_validate_form_set($_POST, $redirect_page);

project_edit(	$proj_properties['project_id'], session_validate_form_get_field('project_name_required'),
												session_validate_form_get_field('project_description'),
												$_POST['project_status'],
												isset($_POST[PROJ_SHOW_CUSTOM_1]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_CUSTOM_2]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_CUSTOM_3]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_CUSTOM_4]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_WINDOW]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_OBJECT]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_MEM_STATS]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_CUSTOM_5]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_CUSTOM_6]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_PRIORITY]) ? "Y": "N",
												isset($_POST[PROJ_SHOW_TEST_INPUT]) ? "Y": "N");

session_validate_form_reset();

html_print_operation_successful( "edit_project_page", $redirect_page );
?>